curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=CHN" \
-F "services=chn_phone" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=王新伟" \
-F "date_of_birth=1990-01-01" \
-F "national_id=11010519900101003X" \
-F "phone=+15550101000"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="CHN",
services=["chn_phone"],
consent=True,
full_name="王新伟",
date_of_birth="1990-01-01",
national_id="11010519900101003X",
phone="+15550101000",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "CHN",
services: ["chn_phone"],
consent: true,
full_name: "王新伟",
date_of_birth: "1990-01-01",
national_id: "11010519900101003X",
phone: "+15550101000",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "CHN",
Services: didit.Some([]string{"chn_phone"}),
Consent: didit.Bool(true),
FullName: didit.String("王新伟"),
DateOfBirth: didit.String("1990-01-01"),
NationalID: didit.String("11010519900101003X"),
Phone: didit.String("+15550101000"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("CHN")
.services(List.of("chn_phone"))
.consent(true)
.fullName("王新伟")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.nationalId("11010519900101003X")
.phone("+15550101000")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'CHN',
'services' => ['chn_phone'],
'consent' => true,
'full_name' => '王新伟',
'date_of_birth' => '1990-01-01',
'national_id' => '11010519900101003X',
'phone' => '+15550101000',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "CHN",
services: ["chn_phone"],
consent: true,
full_name: "王新伟",
date_of_birth: "1990-01-01",
national_id: "11010519900101003X",
phone: "+15550101000",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "CHN",
Services = new string[] { "chn_phone" },
Consent = true,
FullName = "王新伟",
DateOfBirth = "1990-01-01",
NationalId = "11010519900101003X",
Phone = "+15550101000",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "CHN",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "chn_phone",
"service_name": "China Phone",
"source_data": {
"date_of_birth": "1990-01-01",
"full_name": "王新伟",
"identification_number": "11010519900101003X"
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "CHN",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "chn_phone",
"service_name": "China Phone",
"source_data": {
"date_of_birth": "1990-01-01",
"full_name": "王新伟",
"identification_number": "11010519900101003X"
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "CHN",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "chn_phone",
"service_name": "China Phone",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
🇨🇳 China
Telefonverifizierung China API: Echtzeit-Datenbankabfrage
Telefonverifizierung China via Didit: autoritative Datenbankprüfung. Ab $0.50 pro Aufruf, keine Verträge, keine Mindestabnahme.
POST
/
v3
/
database-validation
/
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=CHN" \
-F "services=chn_phone" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=王新伟" \
-F "date_of_birth=1990-01-01" \
-F "national_id=11010519900101003X" \
-F "phone=+15550101000"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="CHN",
services=["chn_phone"],
consent=True,
full_name="王新伟",
date_of_birth="1990-01-01",
national_id="11010519900101003X",
phone="+15550101000",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "CHN",
services: ["chn_phone"],
consent: true,
full_name: "王新伟",
date_of_birth: "1990-01-01",
national_id: "11010519900101003X",
phone: "+15550101000",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "CHN",
Services: didit.Some([]string{"chn_phone"}),
Consent: didit.Bool(true),
FullName: didit.String("王新伟"),
DateOfBirth: didit.String("1990-01-01"),
NationalID: didit.String("11010519900101003X"),
Phone: didit.String("+15550101000"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("CHN")
.services(List.of("chn_phone"))
.consent(true)
.fullName("王新伟")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.nationalId("11010519900101003X")
.phone("+15550101000")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'CHN',
'services' => ['chn_phone'],
'consent' => true,
'full_name' => '王新伟',
'date_of_birth' => '1990-01-01',
'national_id' => '11010519900101003X',
'phone' => '+15550101000',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "CHN",
services: ["chn_phone"],
consent: true,
full_name: "王新伟",
date_of_birth: "1990-01-01",
national_id: "11010519900101003X",
phone: "+15550101000",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "CHN",
Services = new string[] { "chn_phone" },
Consent = true,
FullName = "王新伟",
DateOfBirth = "1990-01-01",
NationalId = "11010519900101003X",
Phone = "+15550101000",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "CHN",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "chn_phone",
"service_name": "China Phone",
"source_data": {
"date_of_birth": "1990-01-01",
"full_name": "王新伟",
"identification_number": "11010519900101003X"
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "CHN",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "chn_phone",
"service_name": "China Phone",
"source_data": {
"date_of_birth": "1990-01-01",
"full_name": "王新伟",
"identification_number": "11010519900101003X"
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "CHN",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "chn_phone",
"service_name": "China Phone",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
Validiert die Eingabedaten gegen den offiziellen Datendienst in China. Didit stellt diesen Dienst über
POST /v3/database-validation/ bereit, damit Sie die übermittelten Daten mit der maßgeblichen Quelle abgleichen und normalisierte Übereinstimmungsergebnisse erhalten. Eingabeformat: date_of_birth muss mit dem Geburtsdatum übereinstimmen, das in der chinesischen Personalausweisnummer kodiert ist (Stellen 7-14 einer 18-stelligen Nummer, Stellen 7-12 einer älteren 15-stelligen Nummer). national_id erwartet die chinesische Personalausweisnummer (15 Ziffern oder 18 Zeichen mit Prüfsumme).
Abdeckung
- Abdeckung: ~ 100%
- Land: China
- Service-ID:
chn_phone - Datendomäne: Telekommunikation
- Kategorie: Telekommunikation
Eingaben
| Feld | Pflicht | Beispiel |
|---|---|---|
full_name | Ja | 王新伟 |
date_of_birth | Ja | 1990-01-01 |
national_id | Ja | 11010519900101003X |
phone | Ja | +15550101000 |
vendor_data | Nein | user-1234 |
- Pflichteingaben:
full_name,date_of_birth,national_id,phone - Optionale Eingaben:
vendor_data - Einwilligung: erforderlich
- Verfügbarkeit im Workflow: Im Workflow verfügbar
- Abdeckung: ~ 100%
- Preis: $0.50 pro erfolgreicher Abfrage
Body-Parameter
string
Standard:"CHN"
erforderlich
ISO-3166-1-Alpha-3-Ländercode für diesen Datenbankdienst.Beispiel:
CHNstring
Standard:"chn_phone"
erforderlich
Array mit dieser Service-ID. Durch die Festlegung des Services bleibt die Anfrage auf genau diese Datenbank beschränkt.Beispiel:
chn_phoneboolean
Standard:"true"
erforderlich
Ausdrückliche Einwilligung des Endnutzers für diesen Service.Beispiel:
truestring
Standard:"王新伟"
erforderlich
Vollständiger amtlicher Name zur Validierung.Beispiel:
王新伟string
Standard:"1990-01-01"
erforderlich
Geburtsdatum im Format
YYYY-MM-DD.Beispiel: 1990-01-01string
Standard:"11010519900101003X"
erforderlich
Nationale Identitätsnummer für diesen Service.Beispiel:
11010519900101003Xstring
Standard:"+15550101000"
erforderlich
Telefonnummer im internationalen Format.Beispiel:
+15550101000string
Standard:"user-1234"
Ihre stabile Benutzerreferenz für diese Person, etwa Ihre interne Benutzer-ID. Didit nutzt sie, um eigenständige Prüfungen mit demselben Endnutzer zu verknüpfen und unnötige Dublettenmeldungen zu reduzieren.Beispiel:
user-1234Eingaberegeln und Validierungshinweise
- Das Geburtsdatum muss mit dem Geburtsdatum übereinstimmen, das in der chinesischen Personalausweisnummer kodiert ist (Stellen 7-14 einer 18-stelligen Nummer, Stellen 7-12 einer älteren 15-stelligen Nummer)
date_of_birthmuss mit dem Geburtsdatum innational_idübereinstimmen. Weichen beide voneinander ab, lehnt die Quelle die Anfrage direkt ab. Die Anfrage wird daher vor der Abfrage abgelehnt und nicht berechnet.- Chinesische Personalausweisnummer (15 Ziffern oder 18 Zeichen mit Prüfsumme)
national_idmuss dem Muster(?:\d{15}|\d{17}[\dXx])entsprechen.- Das abschließende Prüfzeichen der chinesischen Personalausweisnummer wird geprüft.
full_namemuss der originale Name in chinesischer Schrift sein, so wie er im Register oder auf dem Dokument steht. Senden Sie für China-Datenbankprüfungen keine lateinische Transliteration.
So rufen Sie den Dienst auf
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=CHN" \
-F "services=chn_phone" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=王新伟" \
-F "date_of_birth=1990-01-01" \
-F "national_id=11010519900101003X" \
-F "phone=+15550101000"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="CHN",
services=["chn_phone"],
consent=True,
full_name="王新伟",
date_of_birth="1990-01-01",
national_id="11010519900101003X",
phone="+15550101000",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "CHN",
services: ["chn_phone"],
consent: true,
full_name: "王新伟",
date_of_birth: "1990-01-01",
national_id: "11010519900101003X",
phone: "+15550101000",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "CHN",
Services: didit.Some([]string{"chn_phone"}),
Consent: didit.Bool(true),
FullName: didit.String("王新伟"),
DateOfBirth: didit.String("1990-01-01"),
NationalID: didit.String("11010519900101003X"),
Phone: didit.String("+15550101000"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("CHN")
.services(List.of("chn_phone"))
.consent(true)
.fullName("王新伟")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.nationalId("11010519900101003X")
.phone("+15550101000")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'CHN',
'services' => ['chn_phone'],
'consent' => true,
'full_name' => '王新伟',
'date_of_birth' => '1990-01-01',
'national_id' => '11010519900101003X',
'phone' => '+15550101000',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "CHN",
services: ["chn_phone"],
consent: true,
full_name: "王新伟",
date_of_birth: "1990-01-01",
national_id: "11010519900101003X",
phone: "+15550101000",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "CHN",
Services = new string[] { "chn_phone" },
Consent = true,
FullName = "王新伟",
DateOfBirth = "1990-01-01",
NationalId = "11010519900101003X",
Phone = "+15550101000",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
Jeder erfolgreiche Aufruf liefert HTTP 200 zurück. Das Feld outcome_code zeigt an, was tatsächlich passiert ist, zum Beispiel ob ein echter biometrischer Abgleich fehlgeschlagen ist (BIOMETRIC_NO_MATCH) oder ob ein Selfie nicht gelesen werden konnte (BIOMETRIC_IMAGE_UNUSABLE). Der angezeigte status ist der Standardstatus der Funktion. Ihre konfigurierten Aktionen für Teilübereinstimmung und keine Übereinstimmung können ihn überschreiben.MATCH: Das Register hat die Identität bestätigt, und jedes geprüfte Feld stimmt überein.{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "CHN",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "chn_phone",
"service_name": "China Phone",
"source_data": {
"date_of_birth": "1990-01-01",
"full_name": "王新伟",
"identification_number": "11010519900101003X"
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
PARTIAL_MATCH: Die Ausweisnummer wurde gefunden, aber ein oder mehrere personenbezogene Felder (meist Name oder Geburtsdatum) stimmen nicht vollständig überein.{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "CHN",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "chn_phone",
"service_name": "China Phone",
"source_data": {
"date_of_birth": "1990-01-01",
"full_name": "王新伟",
"identification_number": "11010519900101003X"
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
NO_MATCH: Das Register hat für die übermittelten Daten keine Übereinstimmung zurückgegeben.{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "CHN",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "chn_phone",
"service_name": "China Phone",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
Zurückgegebene Daten
Welche Felder genau insource_data erscheinen, hängt davon ab, was das Register zurückgibt. Das generierte Beispiel für chn_phone dokumentiert derzeit diese normalisierte Struktur:
date_of_birthfull_nameidentification_number
Preise und SLAs
Abfragen für China Phone werden nur berechnet, wenn Didit von der Prüfquelle ein eindeutiges Ergebnis erhält.- Preis pro Aufruf: $0.50 USD.
- Abrechnung: pro erfolgreicher Abfrage. Ihnen wird nichts berechnet, wenn das Register nicht erreichbar ist, wenn Pflichtfelder fehlen oder wenn die Anfrage abgelehnt wird, bevor sie die Quelle erreicht.
- Latenz: typischer p95-Wert unter 2 s.
- Verfügbarkeit: 99.9% pro Quartal auf Seiten von Didit. Die Verfügbarkeit der nachgelagerten Quelle variiert je nach Land und Datensatz.
Weiterlesen
Zuletzt geändert am 7. November 2026